import { IdeaExtended } from '../types';
declare const _default: import("vue").DefineComponent<{}, {
    visible: boolean;
    item?: IdeaExtended | undefined;
    show(item: IdeaExtended): void;
    hide(): void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
